package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 21.查询素材地址接口 GET请求方式
 * @class: UploadUrlReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:37
 */
@Data
public class Nft021UploadUrlReq implements Serializable {
    /**
     * 系列名
     */
    //@Null
    private String seriesName;
    /**
     * 平台唯一标识
     */
    private String platformIdentification;
    /**
     * 发行唯一标识
     */
    //@Null
    private String userIdentification;

    private static final Nft021UploadUrlReq obj = new Nft021UploadUrlReq();
    private static final long serialVersionUID = 8429420198393740969L;

    public static Nft021UploadUrlReq getNew() {
        try {
            return (Nft021UploadUrlReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft021UploadUrlReq();
        }
    }
}
